> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Get the balance of all wallets of a customer

POST https://test.api.solvimon.com/v{version}/customers/{resourceIdOrReference}/wallets/balance
Content-Type: application/json

Requires the CUSTOMER.VIEW or WALLET.VIEW permission.

Reference: https://docs.solvimon.com/api-docs/configuration-api/customers/post-customers-by-resource-id-or-reference-wallets-balance

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version
- `resourceIdOrReference` (string, required, default: ) — The ID or reference of the resource.

### Query parameters

- `expand[]` (list of string, optional) — The id fields of the resources that are going to be expanded.

### Headers

- `x-platform-id` (string, optional) — Platform ID.

### Body (application/json)

This endpoint expects a WalletBalanceStatusRequestCreateRequest.

- `balance_at` (datetime, optional) — The date of the balance determination. Default is now().
- `include_customer_details` (boolean, optional) — Include the per-customer breakdown of the reserved balance. Default is false.

## Response

### 200

OK

- `wallet_balances` (list of CustomerWalletBalanceStatus, optional, nullable)
- `balance_at` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Bad Request

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 401 Unauthorized Error

Unauthorized

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 403 Forbidden Error

Forbidden

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 500 Internal Server Error

Internal Server Error

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

## Types

### CustomerWalletBalanceStatus

- `wallet_id` (string, optional, nullable)
- `wallet` (Wallet, optional, nullable)
- `wallet_balance` (WalletBalanceStatus, optional, nullable)
- `charge_on_demand_pricing_items` (list of ChargeOnDemandPricingItem, optional, nullable)

### Wallet

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `INACTIVE`, `DEPRECATED`, `ARCHIVED`
- `wallet_type_id` (string, optional) — Resource ID of type WALLET_TYPE
- `wallet_type` (WalletType, optional, nullable)
- `auto_top_up_configs` (list of AutoTopupConfig, optional, nullable)
- `customer_id` (string, optional) — Resource ID of type CUSTOMER
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)

### WalletBalanceStatus

- `balance` (WalletBalanceValue, optional, nullable)
- `reserved_balance` (WalletBalanceValue, optional, nullable)
- `open_balance` (WalletBalanceValue, optional, nullable)
- `balance_at` (string, optional, nullable)
- `over_granted` (WalletBalanceValue, optional, nullable) — The part of this balance the periods behind it were not entitled to.
- `customer_details` (list of WalletCustomerBalanceDetail, optional, nullable) — The reserved balance split over the customers whose usage produced it, requested with `include_customer_details`. Stored when an invoice is built/ refreshed.

### ChargeOnDemandPricingItem

- `pricing_item_id` (string, optional, nullable)
- `pricing_plan_schedule_id` (string, optional, nullable)
- `pricing_item` (PricingItem, optional, nullable)

### WalletType

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `name` (string, optional)
- `reference` (string, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `INACTIVE`, `DEPRECATED`, `ARCHIVED`
- `type` (enum, optional, nullable)
  - Allowed values: `CREDIT`, `BALANCE`
- `credit` (WalletTypeCredit, optional)
- `balance` (WalletTypeBalance, optional)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)

### AutoTopupConfig

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `wallet_id` (string, optional) — Resource ID of type WALLET
- `status` (enum, optional)
  - Allowed values: `ACTIVE`, `INACTIVE`
- `threshold` (AutoTopupThreshold, optional)
- `topup_amount` (Amount, optional)
- `pricing_plan_schedule_id` (string, optional) — Resource ID of type PRICING_PLAN_SCHEDULE
- `pricing_item_id` (string, optional) — Resource ID of type PRICING_ITEM
- `payment_method_id` (string, optional) — Resource ID of type PAYMENT_METHOD
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)

### WalletBalanceValue

- `credits` (Credits, optional, nullable)
- `amount` (Amount, optional, nullable)

### WalletCustomerBalanceDetail

- `customer_id` (string, optional, nullable) — The ID of the customer whose usage the reserved balance is attributed to.
- `reserved_balance` (WalletBalanceValue, optional, nullable) — This customer's share of the reserved balance of the wallet.
- `balance` (WalletBalanceValue, optional, nullable) — The balance held for this customer alone.
- `over_granted` (WalletBalanceValue, optional, nullable) — The part of this customer's balance its period was not entitled to.

### PricingItem

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `original_pricing_item_id` (string, optional, nullable)
- `original_pricing_item` (PricingItemOriginalPricingItem, optional, nullable) — This property creates a circular reference in the `PricingItem` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.
- `override` (enum, optional, nullable)
  - Allowed values: `ALL`, `SPECIFIC`
- `product_item_ids` (list of string, optional)
- `product_items` (list of ProductItem, optional, nullable)
- `configs` (list of PricingItemConfig, optional, nullable)
- `pricing_currency_configs` (list of PricingItemPricingCurrencyConfig, optional, nullable)
- `billing_period_configs` (list of PricingItemBillingPeriodConfig, optional, nullable)
- `display_order` (integer, optional, nullable)

### WalletTypeCredit

- `grant_type` (enum, optional)
  - Allowed values: `CREDITS`, `AMOUNT`
- `amount_grant` (WalletTypeCreditAmountGrant, optional)
- `credits_grant` (WalletTypeCreditCreditsGrant, optional)

### WalletTypeBalance

- `default_currency` (string, optional) — The default currency for the wallet.

### AutoTopupThreshold

- `amount` (Amount, optional)
- `credits` (Credits, optional)

### Amount

- `quantity` (string, optional)
- `currency` (enum, optional)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### Credits

- `quantity` (string, optional)
- `credit_type_id` (string, optional) — Resource ID of type CREDIT_TYPE
- `credit_type` (CreditType, optional, nullable)

### PricingItemOriginalPricingItem

This property creates a circular reference in the `PricingItem` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.

### ProductItem

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `product_id` (string, optional, nullable) — The resource ID of the product, that belongs to the product item.
- `product` (Product, optional, nullable)
- `name` (string, optional, nullable)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `type` (enum, optional, nullable) — The type of the product item.
  - Allowed values: `REVENUE`, `DEDUCTION`
- `model_type` (enum, optional, nullable)
  - Allowed values: `USAGE_BASED`, `USAGE_BASED_CONVERSION`, `RECURRING`, `ONE_OFF`, `PER_SEAT`, `CREDITS`
- `usage_based` (ProductItemUsageBased, optional) — Additional settings in case of a USAGE_BASED type.
- `credits` (ProductItemCredits, optional) — Additional settings in case of a CREDITS type.
- `meter_value_calculation` (MeterValueCalculation, optional, nullable)
- `tax_category` (enum, optional, nullable) — The default tax category applied to the product item.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `display_order` (integer, optional, nullable)
- `unit_name` (UnitName, optional)
- `custom_fields` (list of CustomFieldValue, optional, nullable) — Custom fields associated to this product item
- `customer_id` (string, optional, nullable)
- `agent_context` (AgentContext, optional) — Context for AI agents about this product item. Intended for agents, not for customer-facing output.
- `meter_value_calculation_id` (string, optional, nullable, deprecated) — The linked meter value calculation, in case of a USAGE_BASED charge type.
- `report_meter_value_calculation_ids` (list of string, optional, nullable, deprecated) — Optional reporting meter value calculations, in case of a USAGE_BASED charge type.

### PricingItemConfig

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable) — Resource ID of type PRICING_ITEM_CONFIG
- `original_pricing_item_config_id` (string, optional, nullable)
- `original_pricing_item_config` (PricingItemConfigOriginalPricingItemConfig, optional, nullable) — This property creates a circular reference in the `PricingItemConfig` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.
- `details` (PricingItemConfigDetails, optional)
- `billing_period` (Period, optional)
- `pricing_period` (Period, optional)
- `default_included_volume` (PricingItemConfigMeterValueIncludedVolume, optional)
- `default_seats_value` (PricingItemConfigMeterValue, optional)
- `default_units` (PricingItemConfigMeterValue, optional) — The default number of units billed for a One Off product item priced `FLAT` with a per-unit amount. Set to 1 when not provided.
- `conditions` (PricingItemConfigConditions, optional)
- `tiering_conditions` (MeterConditions, optional) — Conditions that filter for which `TIERING` events this pricing item config is applied. Only the `expression` is supported here; the deprecated `meter_properties` field is not allowed.
- `order` (integer, optional, nullable)
- `billing_in_advance` (boolean, optional, nullable)
- `volume_group_reference` (string, optional, nullable)
- `top_up` (PricingItemConfigTopUp, optional)
- `split_pricing` (PricingItemConfigSplitPricing, optional)
- `on_demand` (boolean, optional, nullable)
- `wallet_grants` (list of PricingItemConfigWalletGrant, optional, nullable)
- `type` (enum, optional, nullable, deprecated)
  - Allowed values: `FLAT`, `FLAT_TOP_UP`, `TIERED`, `TIERED_TOP_UP`, `TOP_TIERED`, `STAIR_STEP`, `STAIR_STEP_TOP_UP`, `FIXED`, `FLEXIBLE`, `PASS_THROUGH`, `NONE`
- `pricing_type` (enum, optional, nullable, deprecated)
  - Allowed values: `FLAT`, `FLAT_TOP_UP`, `TIERED`, `TIERED_TOP_UP`, `TOP_TIERED`, `STAIR_STEP`, `STAIR_STEP_TOP_UP`, `FIXED`, `FLEXIBLE`, `PASS_THROUGH`, `NONE`
- `bands` (list of PricingItemConfigBand, optional, deprecated)

### PricingItemPricingCurrencyConfig

- `currency` (enum, optional, nullable)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `configs` (list of PricingItemConfig, optional, nullable)
- `billing_period_configs` (list of PricingItemBillingPeriodConfig, optional, nullable)
- `fallback_currency` (enum, optional, nullable)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### PricingItemBillingPeriodConfig

- `billing_period` (Period, optional)
- `configs` (list of PricingItemConfig, optional, nullable)

### WalletTypeCreditAmountGrant

- `default_currency` (enum, optional) — The default currency for the wallet. Required when credit.grant_type is AMOUNT.
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `tax_category` (enum, optional) — The tax category that scopes what the wallet can be spent on. Required when credit.grant_type is AMOUNT. Can only be changed while no wallet of this type exists.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`

### WalletTypeCreditCreditsGrant

- `credit_type_id` (string, optional) — The credit type for wallets of wallet type.

### CreditType

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `INACTIVE`, `DEPRECATED`, `ARCHIVED`
- `name` (string, optional)
- `description` (string, optional, nullable)
- `unit_name` (UnitName, optional)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)

### Product

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `category_id` (string, optional) — The resource ID of the product category, that belongs to the product.
- `category` (ProductCategory, optional, nullable)
- `parent_product_id` (string, optional, nullable) — The resource ID of the original product, to which the product will belong to.
- `name` (string, optional)
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the product.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `product_type` (enum, optional)
  - Allowed values: `DEFAULT`, `ADDON`
- `tax_category` (enum, optional, nullable) — The default tax category applied to the product.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `features` (list of FeatureResourceReference, optional, nullable) — The features associated with the product.
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `display_order` (integer, optional, nullable) — Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `billing_entity_id` (string, optional, nullable) — The resource ID of the billing entity linked to this product.
- `customer_id` (string, optional, nullable)
- `agent_context` (AgentContext, optional) — Context for AI agents about this product. Intended for agents, not for customer-facing output.

### ProductItemUsageBased

- `meter_value_calculation_id` (string, optional, nullable) — The linked meter value calculation
- `meter_value_calculation` (MeterValueCalculation, optional, nullable)
- `tiering_meter_value_calculation_id` (string, optional, nullable) — The optional alternative linked meter value calculation for tiering
- `tiering_meter_value_calculation` (MeterValueCalculation, optional, nullable)
- `report_meter_value_calculation_ids` (list of string, optional, nullable) — Optional reporting meter value calculations.
- `conditions` (MeterConditions, optional) — Optional conditions.

### ProductItemCredits

- `credit_type_id` (string, optional, nullable) — The linked meter value calculation
- `credit_type` (CreditType, optional, nullable)

### MeterValueCalculation

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `calculation_type` (enum, optional, nullable) — The type of calculation used for this billable metric.
  - Allowed values: `SUM`, `MAX`, `MIN`, `AVERAGE`, `UNIQUE`
- `persist` (boolean, optional, nullable) — Indicate if the data of the billable metric must be persisted to the next billing period of the schedule (default is false).
- `meter_id` (string, optional, nullable) — The ID of the meter.
- `meter` (Meter, optional, nullable)
- `meter_value_id` (string, optional, nullable) — The ID of the meter value.
- `meter_value` (MeterValue, optional, nullable)
- `meter_property_id` (string, optional, nullable) — The ID of the meter property.
- `meter_property` (MeterProperty, optional, nullable)

### UnitName

- `singular` (string, optional)
- `plural` (string, optional, nullable)

### CustomFieldValue

- `id` (string, optional, nullable) — Resource ID of type CUSTOM_FIELD
- `reference` (string, optional, nullable)
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `integration_details` (IntegrationDetails, optional, nullable)
- `integration_id` (string, optional) — The resource ID of the integration linked to the custom field

### AgentContext

- `guidance` (string, optional, nullable) — Free-text guidance for AI agents on how to interpret and use this resource.

### PricingItemConfigOriginalPricingItemConfig

This property creates a circular reference in the `PricingItemConfig` schema. If you experience any issues with OpenAPI tools related to these circular references, you can try removing this property from the specification.

### PricingItemConfigDetails

- `billing_period` (Period, optional)
- `pricing_type` (enum, optional, nullable)
  - Allowed values: `FLAT`, `FLAT_TOP_UP`, `TIERED`, `TIERED_TOP_UP`, `TOP_TIERED`, `STAIR_STEP`, `STAIR_STEP_TOP_UP`, `FIXED`, `FLEXIBLE`, `PASS_THROUGH`, `NONE`
- `pricing_period` (Period, optional)
- `bands` (list of PricingItemConfigBand, optional)

### Period

- `type` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `value` (integer, optional, nullable)

### PricingItemConfigMeterValueIncludedVolume

- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `count` (string, optional, nullable)
- `reset_type` (string, optional, nullable)

### PricingItemConfigMeterValue

- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `count` (string, optional, nullable)

### PricingItemConfigConditions

- `name` (string, optional, nullable)
- `meter_properties` (list of MeterPropertyCondition, optional, nullable)
- `configs` (list of PricingItemConfigConditionsConfigsItems, optional, nullable)

### MeterConditions

- `name` (string, optional, nullable)
- `expression` (MeterConditionExpression, optional)
- `meter_properties` (list of MeterPropertyCondition, optional, nullable, deprecated)

### PricingItemConfigTopUp

- `rollover` (boolean, optional, nullable)

### PricingItemConfigSplitPricing

- `meter_properties` (list of MeterPropertySplitPricing, optional, nullable)

### PricingItemConfigWalletGrant

- `wallet_type_id` (string, optional) — Resource ID of type WALLET_TYPE
- `wallet_type` (WalletType, optional, nullable)
- `amount_grant` (PricingItemConfigWalletGrantAmountGrant, optional)
- `credits_grant` (PricingItemConfigWalletGrantCreditsGrant, optional)
- `expiry_policy` (PricingItemConfigWalletGrantExpiryPolicy, optional)
- `source` (enum, optional, nullable) — What the grant quantity is derived from. Defaults to FIXED. SEAT_POOL multiplies the fixed grant by the purchased seat count and grants it into the shared customer pool. PER_SEAT grants the fixed credits once per occupied seat, restricted to the customer holding that seat, and requires credits_grant.credits.
  - Allowed values: `FIXED`, `SEAT_POOL`, `PER_SEAT`

### PricingItemConfigBand

- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)
- `credits` (Credits, optional)
- `fixed_amount` (Amount, optional)
- `maximum_amount` (Amount, optional)
- `minimum_amount` (Amount, optional)
- `maximum_number` (string, optional, nullable)
- `minimum_number` (string, optional, nullable)
- `block_size` (PricingItemConfigMeterValue, optional)
- `tier_top_bound` (PricingItemConfigMeterValue, optional)

### ProductCategory

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `name` (string, optional)
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `tax_category` (enum, optional, nullable) — The default tax category applied to the products in the product category.
  - Allowed values: `STANDARD`, `NO_TAX`, `EXEMPT`
- `display_order` (integer, optional, nullable)
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER

### FeatureResourceReference

- `id` (string, optional, nullable) — The ID of the feature.
- `reference` (string, optional) — The reference of the feature.

### LinkedIntegration

- `id` (string, optional)
- `link_details` (list of LinkDetail, optional)

### Meter

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the meter indicating the activity of the meter and the ability to update properties.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `meter_values` (list of MeterMeterValue, optional, nullable) — The values used as input to calculate billable units, used in the meter.
- `meter_properties` (list of MeterMeterProperty, optional, nullable) — The properties that provide information to give context to an event, used in the meter.

### MeterValue

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional, nullable) — The status of the meter value indicating the activity and the ability to update properties.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `type` (enum, optional, nullable) — The type of the meter value.
  - Allowed values: `NUMBER`, `AMOUNT`

### MeterProperty

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional) — The status of the meter property indicating the activity and the ability to update properties.
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `type` (enum, optional, nullable) — The type of the meter property.
  - Allowed values: `NUMBER`, `ENUM`, `STRING`
- `enum_values` (list of string, optional, nullable) — The list of available ENUM values.

### IntegrationDetails

- `id` (string, optional, nullable)
- `reference` (string, optional, nullable)
- `payment_gateway_variant` (enum, optional)
  - Allowed values: `ADYEN`, `STRIPE`
- `adyen` (AdyenIntegrationDetails, optional)
- `stripe` (StripeIntegrationDetails, optional)

### MeterPropertyCondition

- `id` (string, optional, nullable) — Resource ID of type METER_PROPERTY
- `reference` (string, optional, nullable)
- `meter_property` (MeterProperty, optional, nullable)
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `meter_property_variable_id` (string, optional, nullable) — Resource ID of type METER_PROPERTY_VARIABLE
- `meter_property_variable` (MeterPropertyVariable, optional, nullable)
- `comparator` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`

### PricingItemConfigConditionsConfigsItems

### MeterConditionExpression

- `operator` (enum, optional)
  - Allowed values: `AND`, `OR`, `XOR`
- `operands` (list of MeterConditionOperand, optional, nullable)

### MeterPropertySplitPricing

- `id` (string, optional, nullable) — Resource ID of type METER_PROPERTY
- `reference` (string, optional, nullable)
- `value` (string, optional, nullable)
- `meter_property` (MeterProperty, optional, nullable)

### PricingItemConfigWalletGrantAmountGrant

- `amount` (Amount, optional)
- `percentage` (string, optional, nullable)

### PricingItemConfigWalletGrantCreditsGrant

- `credits` (Credits, optional)
- `conversion` (PricingItemConfigWalletGrantCreditsGrantConversion, optional)

### PricingItemConfigWalletGrantExpiryPolicy

- `expiry_period` (Period, optional)

### LinkDetail

- `url` (string, optional, nullable)
- `custom_field_name` (string, optional, nullable)

### MeterMeterValue

- `id` (string, optional, nullable) — Resource ID of type METER_VALUE
- `object` (MeterValue, optional, nullable)
- `reference` (string, optional, nullable)
- `required` (boolean, optional, nullable)

### MeterMeterProperty

- `id` (string, optional, nullable) — Resource ID of type METER_PROPERTY
- `object` (MeterProperty, optional, nullable)
- `reference` (string, optional, nullable)
- `required` (boolean, optional, nullable)

### AdyenIntegrationDetails

- `recurring_detail_reference` (string, optional)

### StripeIntegrationDetails

- `payment_method_id` (string, optional)

### MeterPropertyVariable

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `meter_property_id` (string, optional, nullable) — The meter property whose values this variable lists. Set on create only.
- `meter_property_reference` (string, optional, nullable) — Alternative to meter_property_id on create.
- `type` (enum, optional, nullable)
  - Allowed values: `LIST`
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`
- `values` (list of string, optional, nullable) — The initial values, on create only. Edit them afterwards through the values endpoint.
- `value_count` (integer, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)

### MeterConditionOperand

- `meter_property` (MeterPropertyCondition, optional)
- `expression` (MeterConditionOperandExpression, optional, nullable)

### PricingItemConfigWalletGrantCreditsGrantConversion

- `credit_type_id` (string, optional)
- `rate` (string, optional)

### MeterConditionOperandExpression

## Examples

**Request**

```json
{
  "balance_at": "2026-10-09T12:00:00Z",
  "include_customer_details": true
}
```

**Response**

```json
{
  "wallet_balances": [
    {
      "wallet_id": "string",
      "wallet": {
        "object_type": "string",
        "id": "string",
        "reference": "string",
        "status": "DRAFT",
        "wallet_type_id": "string",
        "wallet_type": {
          "object_type": "string",
          "id": "string",
          "name": "string",
          "reference": "string",
          "status": "DRAFT",
          "type": "CREDIT",
          "credit": {
            "grant_type": "CREDITS",
            "amount_grant": {
              "default_currency": "AED",
              "tax_category": "STANDARD"
            },
            "credits_grant": {
              "credit_type_id": "string"
            }
          },
          "balance": {
            "default_currency": "string"
          },
          "created_at": "string",
          "updated_at": "string"
        },
        "auto_top_up_configs": [
          {
            "object_type": "string",
            "id": "string",
            "wallet_id": "string",
            "status": "ACTIVE",
            "threshold": {
              "amount": {
                "quantity": "string",
                "currency": "AED"
              },
              "credits": {
                "quantity": "string",
                "credit_type_id": "string",
                "credit_type": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "status": "DRAFT",
                  "name": "string",
                  "description": "string",
                  "unit_name": {
                    "singular": "string",
                    "plural": "string"
                  },
                  "created_at": "string",
                  "updated_at": "string"
                }
              }
            },
            "topup_amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "pricing_plan_schedule_id": "string",
            "pricing_item_id": "string",
            "payment_method_id": "string",
            "created_at": "string",
            "updated_at": "string"
          }
        ],
        "customer_id": "string",
        "created_at": "string",
        "updated_at": "string"
      },
      "wallet_balance": {
        "balance": {
          "credits": {
            "quantity": "string",
            "credit_type_id": "string",
            "credit_type": {
              "object_type": "string",
              "id": "string",
              "reference": "string",
              "status": "DRAFT",
              "name": "string",
              "description": "string",
              "unit_name": {
                "singular": "string",
                "plural": "string"
              },
              "created_at": "string",
              "updated_at": "string"
            }
          },
          "amount": {
            "quantity": "string",
            "currency": "AED"
          }
        },
        "reserved_balance": {
          "credits": {
            "quantity": "string",
            "credit_type_id": "string",
            "credit_type": {
              "object_type": "string",
              "id": "string",
              "reference": "string",
              "status": "DRAFT",
              "name": "string",
              "description": "string",
              "unit_name": {
                "singular": "string",
                "plural": "string"
              },
              "created_at": "string",
              "updated_at": "string"
            }
          },
          "amount": {
            "quantity": "string",
            "currency": "AED"
          }
        },
        "open_balance": {
          "credits": {
            "quantity": "string",
            "credit_type_id": "string",
            "credit_type": {
              "object_type": "string",
              "id": "string",
              "reference": "string",
              "status": "DRAFT",
              "name": "string",
              "description": "string",
              "unit_name": {
                "singular": "string",
                "plural": "string"
              },
              "created_at": "string",
              "updated_at": "string"
            }
          },
          "amount": {
            "quantity": "string",
            "currency": "AED"
          }
        },
        "balance_at": "string",
        "over_granted": {
          "credits": {
            "quantity": "string",
            "credit_type_id": "string",
            "credit_type": {
              "object_type": "string",
              "id": "string",
              "reference": "string",
              "status": "DRAFT",
              "name": "string",
              "description": "string",
              "unit_name": {
                "singular": "string",
                "plural": "string"
              },
              "created_at": "string",
              "updated_at": "string"
            }
          },
          "amount": {
            "quantity": "string",
            "currency": "AED"
          }
        },
        "customer_details": [
          {
            "customer_id": "string",
            "reserved_balance": {
              "credits": {
                "quantity": "string",
                "credit_type_id": "string",
                "credit_type": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "status": "DRAFT",
                  "name": "string",
                  "description": "string",
                  "unit_name": {
                    "singular": "string",
                    "plural": "string"
                  },
                  "created_at": "string",
                  "updated_at": "string"
                }
              },
              "amount": {
                "quantity": "string",
                "currency": "AED"
              }
            },
            "balance": {
              "credits": {
                "quantity": "string",
                "credit_type_id": "string",
                "credit_type": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "status": "DRAFT",
                  "name": "string",
                  "description": "string",
                  "unit_name": {
                    "singular": "string",
                    "plural": "string"
                  },
                  "created_at": "string",
                  "updated_at": "string"
                }
              },
              "amount": {
                "quantity": "string",
                "currency": "AED"
              }
            },
            "over_granted": {
              "credits": {
                "quantity": "string",
                "credit_type_id": "string",
                "credit_type": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "status": "DRAFT",
                  "name": "string",
                  "description": "string",
                  "unit_name": {
                    "singular": "string",
                    "plural": "string"
                  },
                  "created_at": "string",
                  "updated_at": "string"
                }
              },
              "amount": {
                "quantity": "string",
                "currency": "AED"
              }
            }
          }
        ]
      },
      "charge_on_demand_pricing_items": [
        {
          "pricing_item_id": "string",
          "pricing_plan_schedule_id": "string",
          "pricing_item": {
            "object_type": "string",
            "id": "string",
            "original_pricing_item_id": "string",
            "original_pricing_item": {},
            "override": "ALL",
            "product_item_ids": [
              "string"
            ],
            "product_items": [
              {
                "object_type": "string",
                "id": "string",
                "product_id": "string",
                "product": {
                  "object_type": "string",
                  "id": "string",
                  "category_id": "string",
                  "category": {
                    "object_type": "string",
                    "id": "string",
                    "name": "string",
                    "reference": "string",
                    "description": "string",
                    "tax_category": "STANDARD",
                    "display_order": 1,
                    "customer_id": "string"
                  },
                  "parent_product_id": "string",
                  "name": "string",
                  "reference": "string",
                  "description": "string",
                  "status": "DRAFT",
                  "product_type": "DEFAULT",
                  "tax_category": "STANDARD",
                  "features": [
                    {
                      "id": "string",
                      "reference": "string"
                    }
                  ],
                  "custom_fields": [
                    {
                      "id": "string",
                      "reference": "string",
                      "value": "string",
                      "values": [
                        "string"
                      ],
                      "integration_details": {
                        "id": "string",
                        "reference": "string",
                        "payment_gateway_variant": "ADYEN",
                        "adyen": {
                          "recurring_detail_reference": "string"
                        },
                        "stripe": {
                          "payment_method_id": "string"
                        }
                      },
                      "integration_id": "string"
                    }
                  ],
                  "display_order": 1,
                  "linked_integrations": [
                    {
                      "id": "string",
                      "link_details": [
                        {
                          "url": "string",
                          "custom_field_name": "string"
                        }
                      ]
                    }
                  ],
                  "billing_entity_id": "string",
                  "customer_id": "string",
                  "agent_context": {
                    "guidance": "string"
                  }
                },
                "name": "string",
                "status": "DRAFT",
                "reference": "string",
                "description": "string",
                "type": "REVENUE",
                "model_type": "USAGE_BASED",
                "usage_based": {
                  "meter_value_calculation_id": "string",
                  "meter_value_calculation": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "calculation_type": "SUM",
                    "persist": true,
                    "meter_id": "string",
                    "meter": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "status": "DRAFT",
                      "meter_values": [
                        {
                          "id": "string",
                          "object": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "status": "DRAFT",
                            "type": "NUMBER"
                          },
                          "required": true
                        }
                      ],
                      "meter_properties": [
                        {
                          "id": "string",
                          "object": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "status": "DRAFT",
                            "type": "NUMBER",
                            "enum_values": [
                              "string"
                            ]
                          },
                          "required": true
                        }
                      ]
                    },
                    "meter_value_id": "string",
                    "meter_value": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "status": "DRAFT",
                      "type": "NUMBER"
                    },
                    "meter_property_id": "string",
                    "meter_property": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "status": "DRAFT",
                      "type": "NUMBER",
                      "enum_values": [
                        "string"
                      ]
                    }
                  },
                  "tiering_meter_value_calculation_id": "string",
                  "tiering_meter_value_calculation": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "calculation_type": "SUM",
                    "persist": true,
                    "meter_id": "string",
                    "meter": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "status": "DRAFT",
                      "meter_values": [
                        {
                          "id": "string",
                          "object": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "status": "DRAFT",
                            "type": "NUMBER"
                          },
                          "required": true
                        }
                      ],
                      "meter_properties": [
                        {
                          "id": "string",
                          "object": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "status": "DRAFT",
                            "type": "NUMBER",
                            "enum_values": [
                              "string"
                            ]
                          },
                          "required": true
                        }
                      ]
                    },
                    "meter_value_id": "string",
                    "meter_value": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "status": "DRAFT",
                      "type": "NUMBER"
                    },
                    "meter_property_id": "string",
                    "meter_property": {
                      "object_type": "string",
                      "id": "string",
                      "reference": "string",
                      "name": "string",
                      "description": "string",
                      "status": "DRAFT",
                      "type": "NUMBER",
                      "enum_values": [
                        "string"
                      ]
                    }
                  },
                  "report_meter_value_calculation_ids": [
                    "string"
                  ],
                  "conditions": {
                    "name": "string",
                    "expression": {
                      "operator": "AND",
                      "operands": [
                        {
                          "meter_property": {
                            "id": "string",
                            "reference": "string",
                            "meter_property": {
                              "object_type": "string",
                              "id": "string",
                              "reference": "string",
                              "name": "string",
                              "description": "string",
                              "status": "DRAFT",
                              "type": "NUMBER",
                              "enum_values": [
                                "string"
                              ]
                            },
                            "value": "string",
                            "values": [
                              "string"
                            ],
                            "meter_property_variable_id": "string",
                            "meter_property_variable": {
                              "object_type": "string",
                              "id": "string",
                              "reference": "string",
                              "name": "string",
                              "description": "string",
                              "meter_property_id": "string",
                              "type": "LIST",
                              "status": "DRAFT",
                              "value_count": 1,
                              "created_at": "string",
                              "updated_at": "string"
                            },
                            "comparator": "EQUALS"
                          },
                          "expression": {}
                        }
                      ]
                    },
                    "meter_properties": [
                      {
                        "id": "string",
                        "reference": "string",
                        "meter_property": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "name": "string",
                          "description": "string",
                          "status": "DRAFT",
                          "type": "NUMBER",
                          "enum_values": [
                            "string"
                          ]
                        },
                        "value": "string",
                        "values": [
                          "string"
                        ],
                        "meter_property_variable_id": "string",
                        "meter_property_variable": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "name": "string",
                          "description": "string",
                          "meter_property_id": "string",
                          "type": "LIST",
                          "status": "DRAFT",
                          "value_count": 1,
                          "created_at": "string",
                          "updated_at": "string"
                        },
                        "comparator": "EQUALS"
                      }
                    ]
                  }
                },
                "credits": {
                  "credit_type_id": "string",
                  "credit_type": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "status": "DRAFT",
                    "name": "string",
                    "description": "string",
                    "unit_name": {
                      "singular": "string",
                      "plural": "string"
                    },
                    "created_at": "string",
                    "updated_at": "string"
                  }
                },
                "meter_value_calculation": {
                  "object_type": "string",
                  "id": "string",
                  "reference": "string",
                  "name": "string",
                  "description": "string",
                  "calculation_type": "SUM",
                  "persist": true,
                  "meter_id": "string",
                  "meter": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "status": "DRAFT",
                    "meter_values": [
                      {
                        "id": "string",
                        "object": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "name": "string",
                          "description": "string",
                          "status": "DRAFT",
                          "type": "NUMBER"
                        },
                        "required": true
                      }
                    ],
                    "meter_properties": [
                      {
                        "id": "string",
                        "object": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "name": "string",
                          "description": "string",
                          "status": "DRAFT",
                          "type": "NUMBER",
                          "enum_values": [
                            "string"
                          ]
                        },
                        "required": true
                      }
                    ]
                  },
                  "meter_value_id": "string",
                  "meter_value": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "status": "DRAFT",
                    "type": "NUMBER"
                  },
                  "meter_property_id": "string",
                  "meter_property": {
                    "object_type": "string",
                    "id": "string",
                    "reference": "string",
                    "name": "string",
                    "description": "string",
                    "status": "DRAFT",
                    "type": "NUMBER",
                    "enum_values": [
                      "string"
                    ]
                  }
                },
                "tax_category": "STANDARD",
                "display_order": 1,
                "unit_name": {
                  "singular": "string",
                  "plural": "string"
                },
                "custom_fields": [
                  {
                    "id": "string",
                    "reference": "string",
                    "value": "string",
                    "values": [
                      "string"
                    ],
                    "integration_details": {
                      "id": "string",
                      "reference": "string",
                      "payment_gateway_variant": "ADYEN",
                      "adyen": {
                        "recurring_detail_reference": "string"
                      },
                      "stripe": {
                        "payment_method_id": "string"
                      }
                    },
                    "integration_id": "string"
                  }
                ],
                "customer_id": "string",
                "agent_context": {
                  "guidance": "string"
                },
                "meter_value_calculation_id": "string",
                "report_meter_value_calculation_ids": [
                  "string"
                ]
              }
            ],
            "configs": [
              {
                "object_type": "string",
                "id": "string",
                "original_pricing_item_config_id": "string",
                "original_pricing_item_config": {},
                "details": {
                  "billing_period": {
                    "type": "DAY",
                    "value": 1
                  },
                  "pricing_type": "FLAT",
                  "pricing_period": {
                    "type": "DAY",
                    "value": 1
                  },
                  "bands": [
                    {
                      "amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "percentage": "string",
                      "credits": {
                        "quantity": "string",
                        "credit_type_id": "string",
                        "credit_type": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "status": "DRAFT",
                          "name": "string",
                          "description": "string",
                          "unit_name": {
                            "singular": "string",
                            "plural": "string"
                          },
                          "created_at": "string",
                          "updated_at": "string"
                        }
                      },
                      "fixed_amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "maximum_amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "minimum_amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "maximum_number": "string",
                      "minimum_number": "string",
                      "block_size": {
                        "number": "string",
                        "amount": {
                          "quantity": "string",
                          "currency": "AED"
                        },
                        "count": "string"
                      },
                      "tier_top_bound": {
                        "number": "string",
                        "amount": {
                          "quantity": "string",
                          "currency": "AED"
                        },
                        "count": "string"
                      }
                    }
                  ]
                },
                "billing_period": {
                  "type": "DAY",
                  "value": 1
                },
                "pricing_period": {
                  "type": "DAY",
                  "value": 1
                },
                "default_included_volume": {
                  "number": "string",
                  "amount": {
                    "quantity": "string",
                    "currency": "AED"
                  },
                  "count": "string",
                  "reset_type": "string"
                },
                "default_seats_value": {
                  "number": "string",
                  "amount": {
                    "quantity": "string",
                    "currency": "AED"
                  },
                  "count": "string"
                },
                "default_units": {
                  "number": "string",
                  "amount": {
                    "quantity": "string",
                    "currency": "AED"
                  },
                  "count": "string"
                },
                "conditions": {
                  "name": "string",
                  "meter_properties": [
                    {
                      "id": "string",
                      "reference": "string",
                      "meter_property": {
                        "object_type": "string",
                        "id": "string",
                        "reference": "string",
                        "name": "string",
                        "description": "string",
                        "status": "DRAFT",
                        "type": "NUMBER",
                        "enum_values": [
                          "string"
                        ]
                      },
                      "value": "string",
                      "values": [
                        "string"
                      ],
                      "meter_property_variable_id": "string",
                      "meter_property_variable": {
                        "object_type": "string",
                        "id": "string",
                        "reference": "string",
                        "name": "string",
                        "description": "string",
                        "meter_property_id": "string",
                        "type": "LIST",
                        "status": "DRAFT",
                        "value_count": 1,
                        "created_at": "string",
                        "updated_at": "string"
                      },
                      "comparator": "EQUALS"
                    }
                  ],
                  "configs": [
                    {}
                  ]
                },
                "tiering_conditions": {
                  "name": "string",
                  "expression": {
                    "operator": "AND",
                    "operands": [
                      {
                        "meter_property": {
                          "id": "string",
                          "reference": "string",
                          "meter_property": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "status": "DRAFT",
                            "type": "NUMBER",
                            "enum_values": [
                              "string"
                            ]
                          },
                          "value": "string",
                          "values": [
                            "string"
                          ],
                          "meter_property_variable_id": "string",
                          "meter_property_variable": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "meter_property_id": "string",
                            "type": "LIST",
                            "status": "DRAFT",
                            "value_count": 1,
                            "created_at": "string",
                            "updated_at": "string"
                          },
                          "comparator": "EQUALS"
                        },
                        "expression": {}
                      }
                    ]
                  },
                  "meter_properties": [
                    {
                      "id": "string",
                      "reference": "string",
                      "meter_property": {
                        "object_type": "string",
                        "id": "string",
                        "reference": "string",
                        "name": "string",
                        "description": "string",
                        "status": "DRAFT",
                        "type": "NUMBER",
                        "enum_values": [
                          "string"
                        ]
                      },
                      "value": "string",
                      "values": [
                        "string"
                      ],
                      "meter_property_variable_id": "string",
                      "meter_property_variable": {
                        "object_type": "string",
                        "id": "string",
                        "reference": "string",
                        "name": "string",
                        "description": "string",
                        "meter_property_id": "string",
                        "type": "LIST",
                        "status": "DRAFT",
                        "value_count": 1,
                        "created_at": "string",
                        "updated_at": "string"
                      },
                      "comparator": "EQUALS"
                    }
                  ]
                },
                "order": 1,
                "billing_in_advance": true,
                "volume_group_reference": "string",
                "top_up": {
                  "rollover": true
                },
                "split_pricing": {
                  "meter_properties": [
                    {
                      "id": "string",
                      "reference": "string",
                      "value": "string",
                      "meter_property": {
                        "object_type": "string",
                        "id": "string",
                        "reference": "string",
                        "name": "string",
                        "description": "string",
                        "status": "DRAFT",
                        "type": "NUMBER",
                        "enum_values": [
                          "string"
                        ]
                      }
                    }
                  ]
                },
                "on_demand": true,
                "wallet_grants": [
                  {
                    "wallet_type_id": "string",
                    "wallet_type": {
                      "object_type": "string",
                      "id": "string",
                      "name": "string",
                      "reference": "string",
                      "status": "DRAFT",
                      "type": "CREDIT",
                      "credit": {
                        "grant_type": "CREDITS",
                        "amount_grant": {
                          "default_currency": "AED",
                          "tax_category": "STANDARD"
                        },
                        "credits_grant": {
                          "credit_type_id": "string"
                        }
                      },
                      "balance": {
                        "default_currency": "string"
                      },
                      "created_at": "string",
                      "updated_at": "string"
                    },
                    "amount_grant": {
                      "amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "percentage": "string"
                    },
                    "credits_grant": {
                      "credits": {
                        "quantity": "string",
                        "credit_type_id": "string",
                        "credit_type": {
                          "object_type": "string",
                          "id": "string",
                          "reference": "string",
                          "status": "DRAFT",
                          "name": "string",
                          "description": "string",
                          "unit_name": {
                            "singular": "string",
                            "plural": "string"
                          },
                          "created_at": "string",
                          "updated_at": "string"
                        }
                      },
                      "conversion": {
                        "credit_type_id": "string",
                        "rate": "string"
                      }
                    },
                    "expiry_policy": {
                      "expiry_period": {
                        "type": "DAY",
                        "value": 1
                      }
                    },
                    "source": "FIXED"
                  }
                ],
                "type": "FLAT",
                "pricing_type": "FLAT",
                "bands": [
                  {
                    "amount": {
                      "quantity": "string",
                      "currency": "AED"
                    },
                    "percentage": "string",
                    "credits": {
                      "quantity": "string",
                      "credit_type_id": "string",
                      "credit_type": {
                        "object_type": "string",
                        "id": "string",
                        "reference": "string",
                        "status": "DRAFT",
                        "name": "string",
                        "description": "string",
                        "unit_name": {
                          "singular": "string",
                          "plural": "string"
                        },
                        "created_at": "string",
                        "updated_at": "string"
                      }
                    },
                    "fixed_amount": {
                      "quantity": "string",
                      "currency": "AED"
                    },
                    "maximum_amount": {
                      "quantity": "string",
                      "currency": "AED"
                    },
                    "minimum_amount": {
                      "quantity": "string",
                      "currency": "AED"
                    },
                    "maximum_number": "string",
                    "minimum_number": "string",
                    "block_size": {
                      "number": "string",
                      "amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "count": "string"
                    },
                    "tier_top_bound": {
                      "number": "string",
                      "amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "count": "string"
                    }
                  }
                ]
              }
            ],
            "pricing_currency_configs": [
              {
                "currency": "AED",
                "configs": [
                  {
                    "object_type": "string",
                    "id": "string",
                    "original_pricing_item_config_id": "string",
                    "original_pricing_item_config": {},
                    "details": {
                      "billing_period": {
                        "type": "DAY",
                        "value": 1
                      },
                      "pricing_type": "FLAT",
                      "pricing_period": {
                        "type": "DAY",
                        "value": 1
                      },
                      "bands": [
                        {
                          "amount": {
                            "quantity": "string",
                            "currency": "AED"
                          },
                          "percentage": "string",
                          "credits": {
                            "quantity": "string",
                            "credit_type_id": "string",
                            "credit_type": {
                              "object_type": "string",
                              "id": "string",
                              "reference": "string",
                              "status": "DRAFT",
                              "name": "string",
                              "description": "string",
                              "unit_name": {
                                "singular": "string",
                                "plural": "string"
                              },
                              "created_at": "string",
                              "updated_at": "string"
                            }
                          },
                          "fixed_amount": {
                            "quantity": "string",
                            "currency": "AED"
                          },
                          "maximum_amount": {
                            "quantity": "string",
                            "currency": "AED"
                          },
                          "minimum_amount": {
                            "quantity": "string",
                            "currency": "AED"
                          },
                          "maximum_number": "string",
                          "minimum_number": "string",
                          "block_size": {
                            "number": "string",
                            "amount": {
                              "quantity": "string",
                              "currency": "AED"
                            },
                            "count": "string"
                          },
                          "tier_top_bound": {
                            "number": "string",
                            "amount": {
                              "quantity": "string",
                              "currency": "AED"
                            },
                            "count": "string"
                          }
                        }
                      ]
                    },
                    "billing_period": {
                      "type": "DAY",
                      "value": 1
                    },
                    "pricing_period": {
                      "type": "DAY",
                      "value": 1
                    },
                    "default_included_volume": {
                      "number": "string",
                      "amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "count": "string",
                      "reset_type": "string"
                    },
                    "default_seats_value": {
                      "number": "string",
                      "amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "count": "string"
                    },
                    "default_units": {
                      "number": "string",
                      "amount": {
                        "quantity": "string",
                        "currency": "AED"
                      },
                      "count": "string"
                    },
                    "conditions": {
                      "name": "string",
                      "meter_properties": [
                        {
                          "id": "string",
                          "reference": "string",
                          "meter_property": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "status": "DRAFT",
                            "type": "NUMBER",
                            "enum_values": [
                              "string"
                            ]
                          },
                          "value": "string",
                          "values": [
                            "string"
                          ],
                          "meter_property_variable_id": "string",
                          "meter_property_variable": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "meter_property_id": "string",
                            "type": "LIST",
                            "status": "DRAFT",
                            "value_count": 1,
                            "created_at": "string",
                            "updated_at": "string"
                          },
                          "comparator": "EQUALS"
                        }
                      ],
                      "configs": [
                        {}
                      ]
                    },
                    "tiering_conditions": {
                      "name": "string",
                      "expression": {
                        "operator": "AND",
                        "operands": [
                          {
                            "meter_property": {
                              "id": "string",
                              "reference": "string",
                              "meter_property": {
                                "object_type": "string",
                                "id": "string",
                                "reference": "string",
                                "name": "string",
                                "description": "string",
                                "status": "DRAFT",
                                "type": "NUMBER",
                                "enum_values": [
                                  "string"
                                ]
                              },
                              "value": "string",
                              "values": [
                                "string"
                              ],
                              "meter_property_variable_id": "string",
                              "meter_property_variable": {
                                "object_type": "string",
                                "id": "string",
                                "reference": "string",
                                "name": "string",
                                "description": "string",
                                "meter_property_id": "string",
                                "type": "LIST",
                                "status": "DRAFT",
                                "value_count": 1,
                                "created_at": "string",
                                "updated_at": "string"
                              },
                              "comparator": "EQUALS"
                            },
                            "expression": {}
                          }
                        ]
                      },
                      "meter_properties": [
                        {
                          "id": "string",
                          "reference": "string",
                          "meter_property": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "status": "DRAFT",
                            "type": "NUMBER",
                            "enum_values": [
                              "string"
                            ]
                          },
                          "value": "string",
                          "values": [
                            "string"
                          ],
                          "meter_property_variable_id": "string",
                          "meter_property_variable": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "meter_property_id": "string",
                            "type": "LIST",
                            "status": "DRAFT",
                            "value_count": 1,
                            "created_at": "string",
                            "updated_at": "string"
                          },
                          "comparator": "EQUALS"
                        }
                      ]
                    },
                    "order": 1,
                    "billing_in_advance": true,
                    "volume_group_reference": "string",
                    "top_up": {
                      "rollover": true
                    },
                    "split_pricing": {
                      "meter_properties": [
                        {
                          "id": "string",
                          "reference": "string",
                          "value": "string",
                          "meter_property": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "name": "string",
                            "description": "string",
                            "status": "DRAFT",
                            "type": "NUMBER",
                            "enum_values": [
                              "string"
                            ]
                          }
                        }
                      ]
                    },
                    "on_demand": true,
                    "wallet_grants": [
                      {
                        "wallet_type_id": "string",
                        "wallet_type": {
                          "object_type": "string",
                          "id": "string",
                          "name": "string",
                          "reference": "string",
                          "status": "DRAFT",
                          "type": "CREDIT",
                          "credit": {
                            "grant_type": "CREDITS",
                            "amount_grant": {
                              "default_currency": "AED",
                              "tax_category": "STANDARD"
                            },
                            "credits_grant": {
                              "credit_type_id": "string"
                            }
                          },
                          "balance": {
                            "default_currency": "string"
                          },
                          "created_at": "string",
                          "updated_at": "string"
                        },
                        "amount_grant": {
                          "amount": {
                            "quantity": "string",
                            "currency": "AED"
                          },
                          "percentage": "string"
                        },
                        "credits_grant": {
                          "credits": {
                            "quantity": "string",
                            "credit_type_id": "string",
                            "credit_type": {
                              "object_type": "string",
                              "id": "string",
                              "reference": "string",
                              "status": "DRAFT",
                              "name": "string",
                              "description": "string",
                              "unit_name": {
                                "singular": "string",
                                "plural": "string"
                              },
                              "created_at": "string",
                              "updated_at": "string"
                            }
                          },
                          "conversion": {
                            "credit_type_id": "string",
                            "rate": "string"
                          }
                        },
                        "expiry_policy": {
                          "expiry_period": {
                            "type": "DAY",
                            "value": 1
                          }
                        },
                        "source": "FIXED"
                      }
                    ],
                    "type": "FLAT",
                    "pricing_type": "FLAT",
                    "bands": [
                      {
                        "amount": {
                          "quantity": "string",
                          "currency": "AED"
                        },
                        "percentage": "string",
                        "credits": {
                          "quantity": "string",
                          "credit_type_id": "string",
                          "credit_type": {
                            "object_type": "string",
                            "id": "string",
                            "reference": "string",
                            "status": "DRAFT",
                            "name": "string",
                            "description": "string",
                            "unit_name": {
                              "singular": "string",
                              "plural": "string"
                            },
                            "created_at": "string",
                            "updated_at": "string"
                          }
                        },
                        "fixed_amount": {
                          "quantity": "string",
                          "currency": "AED"
                        },
                        "maximum_amount": {
                          "quantity": "string",
                          "currency": "AED"
                        },
                        "minimum_amount": {
                          "quantity": "string",
                          "currency": "AED"
                        },
                        "maximum_number": "string",
                        "minimum_number": "string",
                        "block_size": {
                          "number": "string",
                          "amount": {
                            "quantity": "string",
                            "currency": "AED"
                          },
                          "count": "string"
                        },
                        "tier_top_bound": {
                          "number": "string",
                          "amount": {
                            "quantity": "string",
                            "currency": "AED"
                          },
                          "count": "string"
                        }
                      }
                    ]
                  }
                ],
                "billing_period_configs": [
                  {
                    "billing_period": {
                      "type": "DAY",
                      "value": 1
                    },
                    "configs": [
                      {
                        "object_type": "string",
                        "id": "string",
                        "original_pricing_item_config_id": "string",
                        "original_pricing_item_config": {},
                        "details": {
                          "billing_period": {
                            "type": "DAY",
                            "value": 1
                          },
                          "pricing_type": "FLAT",
                          "pricing_period": {
                            "type": "DAY",
                            "value": 1
                          },
                          "bands": [
                            {
                              "amount": {
                                "quantity": "string",
                                "currency": "AED"
                              },
                              "percentage": "string",
                              "credits": {
                                "quantity": "string",
                                "credit_type_id": "string",
                                "credit_type": {
                                  "object_type": "string",
                                  "id": "string",
                                  "reference": "string",
                                  "status": "DRAFT",
                                  "name": "string",
                                  "description": "string",
                                  "unit_name": {
                                    "singular": "string",
[...]
